<%@ page language="C#" autoeventwireup="true" inherits="admin_manage_redirectitem, localhost_deploy" %>
<%@ Register Src='../../common/formitem.ascx' TagName='formitem' TagPrefix='uc1' %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<title>重定向编辑页</title>
<link href='/admin/common/client.css' rel='stylesheet' type='text/css' />
<script type='text/javascript' >
function checkOther()
{
	var re = new RegExp("^http://","ig");
	var b_tip=false;
	if($('R_Source').value!="")
	{
  	b_tip=!re.test($('R_Source').value);
  	if(b_tip)
  	{
  		$('spn_R_Source').innerHTML="<br />来源地址必须以“http://”开头。";
  	}
  }	
  return b_tip;
}
</script>
</head>
<body>
<br />
<%
	Formitem.Table="Sys_301ReWrite";
	Formitem.Head="301重定向";
	Formitem.Action="";
	Formitem.AddItem("@@Csharp.SetInputText('来源地址','R_Source','##Table[\"Sys_301ReWrite\"].R_Source##','90','true','<br />来源地址和目标地址都可以是正则表达式。来源地址必须<br />以http://开头，当前域名可以使用变量“@domain@”替换。')@@");
	Formitem.AddItem("@@Csharp.SetInputText('目标地址','R_Target','"+Formitem.ChooseValue("@@Table[\"Sys_301ReWrite\"].R_Target@@","http://@domain@/")+"','90','true','<br />当前域名可以使用变量“@domain@”替换。')@@");
%>	
<uc1:formitem ID='Formitem' runat='server' />
</body>
</html>   
